For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
      • GETGet payables
      • POSTCreate a payable
      • GETGet payables analytics
      • POSTUpload a payable from a file
      • GETGet payables validations
      • PUTUpdate payables validations
      • POSTReset payables validations
      • GETGet the available variables for payable email templates
      • GETGet a payable by ID
      • DELDelete a payable
      • PATCHUpdate a payable
      • POSTApprove a payable for payment
      • POSTAttach a file to a payable
      • POSTCancel a payable
      • POSTCancel OCR of a payable
      • GETView history of a payable
      • POSTMark a payable as paid
      • POSTMark a payable as partially paid
      • POSTReject a payable
      • POSTReopen a payable
      • POSTSubmit a payable for approval
      • GETGet suggestions
      • DELDelete suggestions
      • POSTValidate a payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts payablePayables

Validate a payable

POST
/payables/:payable_id/validate
POST
/v1/payables/:payable_id/validate
$curl -X POST https://api.sandbox.monite.com/v1/payables/payable_id/validate \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "validation_errors": [
4 {
5 "key": "value"
6 }
7 ]
8}
Check the invoice for compliance with the requirements for movement from draft to new status.
Was this page helpful?
Previous

Get purchase orders

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

payable_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
A unique ID assigned to this payable.
validation_errorslist of maps from strings to any

Errors

400
Post Payables ID Validate Request Bad Request Error
401
Post Payables ID Validate Request Unauthorized Error
403
Post Payables ID Validate Request Forbidden Error
404
Post Payables ID Validate Request Not Found Error
409
Post Payables ID Validate Request Conflict Error
422
Post Payables ID Validate Request Unprocessable Entity Error
429
Post Payables ID Validate Request Too Many Requests Error